Piksele
GET https://olinke.com/api/pixels/
curl --request GET \
--url 'https://olinke.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| Parametry | Szczegóły | Opis |
|---|---|---|
| search | Opcjonalny Ciąg | Ciężar wyszukiwania. |
| search_by | Opcjonalny Ciąg | Jakie pole przeszukujesz? Dozwolone wartości to: name, pixel. |
| type | Opcjonalny Ciąg | Dozwolone wartości: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | Opcjonalny Ciąg | Dozwolone wartości: datetime, last_datetime |
| datetime_start | Opcjonalny Ciąg | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcjonalny Ciąg | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcjonalny Ciąg | Jakie pole użyć do sortowania wyników. Dozwolone wartości to: pixel_id, datetime, last_datetime, name. |
| order_type | Opcjonalny Ciąg | Kolejność wyników. Dozwolone wartości to: ASC dla porządku rosnącego i DESC dla porządku malejącego. |
| page | Opcjonalny Całkowity | Numer strony, z której chcesz uzyskać wyniki. Domyślnie 1. |
| results_per_page | Opcjonalny Całkowity | Ile wyników chcesz na stronę. Dozwolone wartości to: 10, 25, 50, 100, 250, 500, 1000. Domyślnie 25. |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-04-17 13:48:10",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://olinke.com/api/pixels?page=1",
"last": "https://olinke.com/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://olinke.com/api/pixels?page=1"
}
}
GET https://olinke.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://olinke.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-04-17 13:48:10",
}
}
POST https://olinke.com/api/pixels
| Parametry | Szczegóły | Opis |
|---|---|---|
| type | Wymagane Ciąg | Dozwolone wartości: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Wymagane Ciąg | - |
| pixel | Wymagane Ciąg | - |
curl --request POST \
--url 'https://olinke.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://olinke.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://olinke.com/api/pixels/{pixel_id}
| Parametry | Szczegóły | Opis |
|---|---|---|
| type | Opcjonalny Ciąg | Dozwolone wartości: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Opcjonalny Ciąg | - |
| pixel | Opcjonalny Ciąg | - |
curl --request POST \
--url 'https://olinke.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://olinke.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://olinke.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://olinke.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \